Update a customer
Update a customer object
- Type: stringcustomer
_no requiredCustomer ID
- Type: object ·address
- Type: stringenumcompany
_type The legal status of the customer.
values- individual
- business
- foreign individual
- foreign business
- Type: object ·contact
- Type: stringFormat: date-timecreated
_at Timestamp the customer object was first created at. May not be specified when creating or updating items, generated automatically when the customer is first created. Returned when fetching customer objects. String contains a date-time in UTC.
- Type: integercustomer
_no Unique identification for the customer. Only positive integers are allowed as customer numbers, and all customers must have a unique number. If the customer_no is modified for an existing customer, any further accesses to the customer object must be done using the new value. If no value is given when creating a customer, an automatic sequential value is generated. If you want automatic customer-numbering, please do not set this parameter at all, not even to a null value.
- Type: object ·delivery
_address - Type: object ·edi
- Type: stringlanguage
Two letter ISO 639-1 invoice language code, can be null or empty string for market default language. Available languages are market specific.
- Type: booleanletter
_forwarding _enabled Indicate whether the letter invoices should be forwarded to a forwarding service provider or not.
- Type: object ·links
- Type: stringnamemax length:100
Name used to identify the customer. In the case of a private person, the person's name. In case of a business, the business' name. Used for printing postal addresses on letters.
- Type: stringnotes
Free-form text for internal notes. The contents of this field is never visible to the customer.
- application/json
- application/json
- application/json
curl 'https://sandbox.billogram.com/api/v2/customer/{customer_no}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"customer_no": 10032,
"name": "Peter",
"company_type": "individual",
"contact": {
"name": "Peter Jonsson",
"email": "peter.jonsson@billogram.com"
},
"address": {
"street_address": "Lavendelväg 27",
"address_line_2": "Apartment 5",
"address_line_3": "Attention: Peter Jonsson",
"administrative_area": "Province X",
"dependent_locality": "City Y",
"organization": "Billogram AB",
"sorting_code": "12345",
"zipcode": "12345",
"city": "Stadby",
"country": "SE"
}
}'
{
"status": "string",
"data": {
"customer_no": 12345,
"name": "Terkel Testsson",
"notes": "string",
"org_no": "string",
"vat_no": "SE556677889901",
"language": "string",
"contact": {
"name": "string",
"email": "hello@example.com",
"phone": "string"
},
"address": {
"careof": "string",
"use_careof_as_attention": true,
"attention": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"zipcode": "string",
"city": "string",
"country": "SE"
},
"letter_forwarding_enabled": true,
"delivery_address": {
"name": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"careof": "string",
"attention": "string",
"zipcode": "string",
"city": "string",
"country": "string"
},
"permanent_establishment_address": {
"name": "string",
"additional_name": "string",
"family_name": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"zipcode": "string",
"city": "string",
"country": "string"
},
"payment_settings": {
"recurring_payment_type": "autogiro"
},
"created_at": "2026-04-29T11:19:15.647Z",
"updated_at": "2026-04-29T11:19:15.647Z",
"company_type": "individual",
"edi": {
"electronic_id": "string",
"operator": "addett",
"reference": "string"
},
"links": {
"automatic_payments_setup_link": "string"
}
}
}